Loading...
Searching...
No Matches
exception.in.h File Reference

Go to the source code of this file.

## Data Structures

struct | _PedException
| Structure with information about exception. More...

## Macros

#define | PED_EXCEPTION_OPTION_FIRST PED_EXCEPTION_FIX
#define | PED_EXCEPTION_OPTION_LAST PED_EXCEPTION_CANCEL /* last individual option */

## Typedefs

typedef struct _PedException | PedException
typedef PedExceptionOption | PedExceptionHandler(PedException *ex)
typedef enum _PedExceptionOption | PedExceptionOption
typedef enum _PedExceptionType | PedExceptionType

## Enumerations

enum

_PedExceptionOption {
PED_EXCEPTION_UNHANDLED =0 , PED_EXCEPTION_FIX =1 , PED_EXCEPTION_YES =2 , PED_EXCEPTION_NO =4 ,
PED_EXCEPTION_OK =8 , PED_EXCEPTION_RETRY =16 , PED_EXCEPTION_IGNORE =32 , PED_EXCEPTION_CANCEL =64 ,
PED_EXCEPTION_OK_CANCEL = PED_EXCEPTION_OK + PED_EXCEPTION_CANCEL , PED_EXCEPTION_YES_NO = PED_EXCEPTION_YES + PED_EXCEPTION_NO , PED_EXCEPTION_YES_NO_CANCEL , PED_EXCEPTION_IGNORE_CANCEL ,
PED_EXCEPTION_RETRY_CANCEL = PED_EXCEPTION_RETRY + PED_EXCEPTION_CANCEL , PED_EXCEPTION_RETRY_IGNORE_CANCEL
}

| Option for resolving the exception. More...
enum | _PedExceptionType { PED_EXCEPTION_INFORMATION =1 , PED_EXCEPTION_WARNING =2 , PED_EXCEPTION_ERROR =3 , PED_EXCEPTION_FATAL =4 , PED_EXCEPTION_BUG =5 , PED_EXCEPTION_NO_FEATURE =6 }
| Exception type. More...

## Functions

void | ped_exception_catch ()
| Assert that the current exception has been resolved.
PedExceptionOption | ped_exception_default_handler (PedException *ex)
void | ped_exception_fetch_all ()
| Indicates that exceptions should not go to the exception handler, but passed up to the calling function(s).
PedExceptionHandler * | ped_exception_get_handler (void)
| Get the current exception handler.
char * | ped_exception_get_option_string (PedExceptionOption ex_opt)
| Return a string describing an exception option.
char * | ped_exception_get_type_string (PedExceptionType ex_type)
| Return a string describing an exception type.
void | ped_exception_leave_all ()
| Indicates that the calling function does not want to accept any responsibility for exceptions any more.
PedExceptionOption | ped_exception_rethrow ()
| Rethrow an unhandled exception.
void | ped_exception_set_handler (PedExceptionHandler *handler)
| Set the exception handler.
PedExceptionOption | ped_exception_throw (PedExceptionType ex_type, PedExceptionOption ex_opts, const char *message,...)
| Throw an exception.

## Variables

int | ped_exception